> For the complete documentation index, see [llms.txt](https://docs.bwarelabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bwarelabs.com/api-docs/binance-smart-chain-rpc-api/rpc/eth_getbalance-method.md).

# eth\_getBalance method

### **Parameters**

1. `DATA`, 20 Bytes - address to check for the balance.
2. `QUANTITY|TAG` - integer block number, or the string `"latest"`, `"earliest"` or `"pending"`, see the [default block parameter](https://eth.wiki/json-rpc/API#the-default-block-parameter)

#### If the Node is Full Archive, then it's possible to query for the balance at a certain block height.

**Returns**

`QUANTITY` - integer of the current balance in wei.

### Example

```
// Request
curl -H "Content-Type: application/json" -d '{"jsonrpc":"2.0","method":"eth_getBalance","params":["0xBf727B60eE5fC8F1a5912068bfb171A59D5DB3c1", "0xf537a"] ,"id":32}' https://bsc-api.bwarelabs.com/<your-endpoint-id>

// Response
{
    "jsonrpc": "2.0",
    "id": 32,
    "result": "0x13d1c2ff9f6800"
}
```
